from io import BytesIO
import logging
from lxml import etree
from cdrlib import db, xsd, util

def r(*a, **b):
    print(a)
    print(b)
logging.basicConfig(level="DEBUG")
query = db.Query("document", "xml")
query.where("id = 5000")
xml = query.execute().fetchone()[0]
source = BytesIO(bytes(xml, "utf-8"))
schema = xsd.Validator.get_doc("PersonSchema.xsd")
n = 0
while n < 5:
    try:
        for event, element in etree.iterparse(source, schema=schema, recover=True):
            print(event, element)
    except Exception as e:
        print(e, type(e))
        n += 1
