import glob
import sys
import lxml.etree as etree

directory = len(sys.argv) > 1 and sys.argv[1] or "baseline-schemas"
schema = etree.parse("XMLSchema.xsd")
validate = etree.XMLSchema(schema)
for path in glob.glob("%s/*.xsd" % directory):
    print(path)
    schema = etree.parse(path)
    if not validate(schema):
        for error in validate.error_log:
            print(error)
exit(0)
