import glob
from lxml import etree

PATH = "C:/Users/bkline/Dropbox/cdr/new_server/baseline-schemas/*.xsd"
TAG = "{http://www.w3.org/2001/XMLSchema}element"

types = set()
for path in glob.glob(PATH):
    if "XMLSchema" in path or "datatypes.xsd" in path:
        continue
    for e in etree.parse(path).getroot().iter(TAG):
        t = e.get("type")
        if t is None:
            print("%s:%s" % (path, e.tag))
        else:
            types.add(t)

for t in sorted(types):
    print(t)
