import socket
import struct
import lxml.etree as etree

request = etree.Element("CdrCommandSet")
etree.SubElement(request, "SessionId").text = "guest"
command = etree.SubElement(request, "CdrCommand")
etree.SubElement(command, "CdrListDocTypes")
request = etree.tostring(request)
print(str(request))
length = len(request)
length_bytes = struct.pack("!L", length)
sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
sock.connect(("127.0.0.1", 2019))
try:
    sock.send(length_bytes)
    sock.sendall(request)
    response = str(sock.recv(8192), 'utf-8')
    print("Received: {}".format(response))
finally:
    sock.close()
