import lxml.etree as etree

xslt_tree = etree.XML("""\
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text"/>
  <xsl:template match="/">This is it, folks!</xsl:template>
</xsl:transform>""")
transform = etree.XSLT(xslt_tree)
doc_root = etree.XML('<a><b>Text</b></a>')
print(transform(doc_root))
print(type(transform(doc_root)))
print(dir(transform(doc_root)))
