import glob
from lxml import etree
import re

def unescape(me):
    node = etree.fromstring("<foo>%s</foo>" % me)
    return node.text
for path in glob.glob("new-schemas/*.xsd"):
    print(path)
    #root = etree.parse(path)
    doc = open(path).read()
    for asrt in re.findall(" *<assert.*?</assert> *\n", doc, flags=re.S):
        match = re.search(r"<assert\s+test\s*=([^>]+)>([^<]*)</assert>",
                          asrt)
        if not match:
            raise Exception("no match for %s" % asrt)
        test = match.group(1).strip()[1:-1]
        mesg = match.group(2).strip()
        print("TEST:\n%s" % unescape(test))
        print("MESG:\n%s" % unescape(mesg))
