import glob
from lxml import etree

PATH = "C:/Users/bkline/Dropbox/cdr/new_server/baseline-schemas/*.xsd"

def add_node(node, prefix=""):
    path = "%s/%s" % (prefix, node.tag)
    paths.add(path)
    for name in node.attrib:
        paths.add("%s/@%s" % (path, name))
    for child in node:
        add_node(child, path)

paths = set()
for path in glob.glob(PATH):
    root = etree.parse(path).getroot()
    add_node(root)

for path in sorted(paths):
    if "Comment at" not in path:
        print(path.replace("{http://www.w3.org/2001/XMLSchema}", "xsd:"))
